Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Matt Whitlock <[email-masked]>
Date: Fri, 16 May 2014 12:46:14 -0400

Is Peter Todd's server actually up? The Google public DNS resolver at 8.8.8.8 can't resolve testnet-seed.bitcoin.petertodd.org either (SERVFAIL).

On Friday, 16 May 2014, at 6:34 pm, Andreas Schildbach wrote:
> Apparently British Telecom also cannot speak to Peter Todd's server.
> 
> That another very large ISP in Europe.
> 
> 
> On 05/15/2014 01:50 PM, Andreas Schildbach wrote:
> > I'm bringing this issue up again. The current Bitcoin DNS seed
> > infrastructure is unstable. I assume this is because of we're using a
> > custom DNS implementation which is not 100% compatible. There have been
> > bugs in the past, like a case sensitive match for the domain name.
> > 
> > Current state (seeds taken from bitcoinj):
> > 
> > mainnet:
> > 
> > seed.bitcoin.sipa.be			OK
> > dnsseed.bluematt.me			OK
> > dnsseed.bitcoin.dashjr.org		SERVFAIL, tried multiple ISPs
> > seed.bitcoinstats.com			OK
> > 
> > testnet:
> > 
> > testnet-seed.bitcoin.petertodd.org	SERVFAIL, just from Telefonica
> > testnet-seed.bluematt.me		OK (but only returns one node)
> > 
> > Note: Telefonica is one of Europe's largest ISPs.
> > 
> > I would try to improve DNS myself, but I'm not capable of writing C. My
> > "fix" would be to reimplement everything in Java -- I doubt you guys
> > would be happy with that.
> > 
> > 
> > ------------------------------------------------------------------------------
> > "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> > Instantly run your Selenium tests across 300+ browser/OS combos.
> > Get unparalleled scalability from the best Selenium testing platform available
> > Simple to use. Nothing to install. Get started now for free."
> > http://p.sf.net/sfu/SauceLabs
> > 
> 
> 
> 
> ------------------------------------------------------------------------------
> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> Instantly run your Selenium tests across 300+ browser/OS combos.
> Get unparalleled scalability from the best Selenium testing platform available
> Simple to use. Nothing to install. Get started now for free."
> http://p.sf.net/sfu/SauceLabs
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development